aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xports/geckolib/gecko_bindings/tools/regen.sh13
-rwxr-xr-xports/geckolib/gecko_bindings/tools/setup_bindgen.sh13
2 files changed, 22 insertions, 4 deletions
diff --git a/ports/geckolib/gecko_bindings/tools/regen.sh b/ports/geckolib/gecko_bindings/tools/regen.sh
index ffdf99688f1..2d02bebdb34 100755
--- a/ports/geckolib/gecko_bindings/tools/regen.sh
+++ b/ports/geckolib/gecko_bindings/tools/regen.sh
@@ -1,4 +1,12 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+set -o errexit
+set -o nounset
+set -o pipefail
if [ $# -eq 0 ]; then
echo "Usage: $0 /path/to/gecko/objdir [other-regen.py-flags]"
@@ -13,7 +21,8 @@ fi
# Check for /usr/include
if [ ! -d /usr/include ]; then
- echo "/usr/include doesn't exist. Mac users may need to run xcode-select --install."
+ echo "/usr/include doesn't exist." \
+ "Mac users may need to run xcode-select --install."
exit 1
fi
diff --git a/ports/geckolib/gecko_bindings/tools/setup_bindgen.sh b/ports/geckolib/gecko_bindings/tools/setup_bindgen.sh
index 768fb53794d..d42bfc9adb4 100755
--- a/ports/geckolib/gecko_bindings/tools/setup_bindgen.sh
+++ b/ports/geckolib/gecko_bindings/tools/setup_bindgen.sh
@@ -1,4 +1,12 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+set -o errexit
+set -o nounset
+set -o pipefail
# Run in the tools directory.
cd "$(dirname $0)"
@@ -12,7 +20,8 @@ fi
# Make sure we have llvm38.
if [ ! -x "$(command -v clang-3.8)" ]; then
- echo "llmv38 must be installed. Mac users should |brew install llvm38|, Linux varies by distro."
+ echo "llmv38 must be installed." \
+ "Mac users should |brew install llvm38|, Linux varies by distro."
exit 1
fi